- okta.accessRequests.tasks.read
Lists all tasks assigned to you from access requests managed by OIG access request conditions.
See Access request conditions in the product documentation.
A filter expression that filters a collection of tasks in the response. The filter expression supports the following properties and operators:
status: The status of the task. Possible values:OPEN,COMPLETED,ASSIGNING, andLOCKED. Supports theeqoperator, and theoroperator when you group multiplestatusvalues in parentheses.type: The type of the task. Possible values:QUESTION,APPROVAL, andTODO. Supports theeqoperator.requestId: The ID of the request for the task. Supports theeqoperator.createdAt: The task created time. Supports thegt,ge,le, andltoperators.updatedAt: The latest task updated time. Supports thegt,ge,le, andltoperators.
You can combine multiple filter expressions using the and operator. To match multiple status values in a single request, combine status conditions with the or operator inside parentheses, for example (status eq "OPEN" or status eq "ASSIGNING").
Note: Query parameter percent encoding is required. See Percent-encoding.
Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.
Specifies a property to sort the results. The following properties are supported:
createdAtupdatedAt
Append desc or asc to indicate the sorting direction.
Note: Query parameter percent encoding is required. See Percent-encoding.
- https://subdomain.okta.comhttps://subdomain.okta.com/governance/api/v2/my/tasks
curl -i -X GET \
'https://subdomain.okta.com/governance/api/v2/my/tasks?filter=status%20eq%20%22OPEN%22&limit=20&after=68b0a1576dd8db837f5ee55d&orderBy=createdAt%20desc'